Bug 1000964 - [rhevm] Backend - Template - Cannot change "optimized for" to Desktop
[rhevm] Backend - Template - Cannot change "optimized for" to Desktop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity medium
: ---
: 3.3.0
Assigned To: Tomas Jelinek
Pavel Novotny
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 04:34 EDT by David Botzer
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: is12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
edit-template (320.27 KB, application/x-gzip)
2013-08-26 04:34 EDT, David Botzer
no flags Details
picture (91.42 KB, image/png)
2013-08-26 04:35 EDT, David Botzer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18522 None None None Never

  None (edit)
Description David Botzer 2013-08-26 04:34:02 EDT
Created attachment 790335 [details]
edit-template

Description of problem:
Changing TEmplate property -> General ->  optimized from server to Desktop
Gives error message.

Version-Release number of selected component (if applicable):
3.3/is11

How reproducible:
always

Steps to Reproduce:
1.I created a blank VM + vNIC&  5GB Disk,
2.I made a template from this vm
I also was able to create VMs from this template,
3.I edit this template, and change 
General ->  optimized from server to Desktop
when I press ok i got error ->

Actual results:
Error message and cannot change "Optimized for"

Expected results:
Should allow to change from server to desktop

Additional info:

Error in GUI -->
--------------------
Error while executing action:

BlankVM-Tmplt:

* Failed updating the properties of the VM template.
================================
Error in engine.log

2013-08-26 11:15:34,564 WARN  [org.ovirt.engine.core.bll.UpdateVmTemplateCommand] (ajp-/127.0.0.1:8702-7) CanDoAction of action UpdateVmTemplate failed. Reasons:VAR__ACTION__UPDATE,VAR__TYPE__VM_TEMPLATE,VMT_CANNOT_UPDATE_ILLEGAL_FIELD
2013-08-26 11:15:36,337 WARN  [org.ovirt.engine.core.dal.job.ExecutionMessageDirector] (ajp-/127.0.0.1:8702-9) The message key UpdateVmTemplate is missing from bundles/ExecutionMessages
Comment 1 David Botzer 2013-08-26 04:35:43 EDT
Created attachment 790336 [details]
picture
Comment 2 Tomas Jelinek 2013-08-26 08:42:14 EDT
merged as: 865656eb4faa6858a3516310e0508276e5e02614
Comment 3 Pavel Novotny 2013-09-03 12:11:03 EDT
Verified in rhevm-3.3.0-0.18.master.el6ev (IS12).

Verified according to the reproducer in comment#0: The VM template parameter "Optimized For" now can be freely changed without experiencing any errors.
Comment 5 Itamar Heim 2014-01-21 17:25:27 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:26:00 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:29:33 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.